/** fichier libcom.h **/
#ifndef H_LIBCOM
#define H_LIBCOM
#include <sys/types.h>
#include <sys/socket.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <stddef.h>
#include <fcntl.h>
#include <errno.h>
#include <netdb.h>
#include <string.h>

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/stat.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <arpa/inet.h>
#include <fcntl.h>
#include <dirent.h>
#include <resolv.h>



/******************************************************************/
/** Ce fichier decrit les structures et les constantes utilisees **/
/** par les fonctions de gestion des sockets                     **/
/******************************************************************/

/**** Constantes ****/

/**** Fonctions ****/


int initialisationServeurTCP(char *service);

int boucleServeurTCP(int s,int (*traitement)(int));  ;

char *resolv_addr(char *domaine) ;

static FILE *connServDist(const char *hostname, const char *port) ;

int relayMail(char* from, char* to, char* subject, char* filename, char* mailServer, char* portNum) ;

int count_files(char *repertoire) ;

int find_exped(char *fileName,char *strSearch) ;

void commandeHELO(char *buffer, int s);

void commandeMAIL(char *buffer, int s);

int commandeRCPT(char *buffer, int s);

void commandeDATA(char *buffer,  int s);

void commande_traiter_DATA(char *buffer,  int s);

void commande_fin_DATA(char *buffer,  int s);

void commandeQUIT(char *buffer,  int s, int relay_or_not);

void commandeNOOP(char *buffer, int s);

void commandeRSET(char *buffer, int s);

void redirection_Commandes(char *buffer, int s);

void gestionClientTCP(int s);

int multi_gestionClientTCP(int s);

int initialisationServeurSocket_locale(void);

int initialisationServeurSocket_publique(char *addr_machine);

int boucleServeurTCP(int s,int (*multigestionClientTCP)(int));








#endif
